<script setup lang="ts">
import { useProductStore } from '@/Product/stores/product'
import { useTypeStore } from '@/Type/stores/type'
import { ref } from 'vue'

const productStore = useProductStore()
const typeStore = useTypeStore()

const imageUrl = ref(null)
const imageSize = ref({ width: 200, height: 200 })
</script>

<template>
  <v-dialog v-model:model-value="productStore.dialog" style="width: 1000px">
    <v-card class="pa-5" title="Add Product">
      <v-card-text>
        <v-container>
          <v-row>
            <v-col cols="12" sm="12" md="4">
              <v-img
                :src="'http://localhost:3000/images/products/' + productStore.productItem.image"
                width="200"
              ></v-img>
            </v-col>
            <v-col cols="12" sm="12" md="4">
              <v-file-input
                v-model="productStore.productItem.files"
                :rules="[
                  (value) => {
                    return (
                      !value ||
                      !value.length ||
                      value[0].size < 2000000 ||
                      'Image size should be less than 2 MB!'
                    )
                  }
                ]"
                accept="image/png, image/jpeg, image/bmp"
                placeholder="Pick an image"
                prepend-icon="mdi-image"
                label="Image"
              ></v-file-input>
            </v-col>
            <v-col cols="12">
              <v-text-field v-model="productStore.productItem.name" label="Name"> </v-text-field>
            </v-col>
            <v-col cols="12">
              <v-text-field v-model.number="productStore.productItem.price" label="Price">
              </v-text-field>
            </v-col>

            <v-col cols="12">
              <label for="Type">Type</label>

              <v-col cols="12" sm="6">
                <v-combobox
                  v-model="productStore.productItem.type"
                  :items="typeStore.types"
                  item-title="name"
                  item-value="id"
                  label="Select types"
                  :return-object="true"
                ></v-combobox>
              </v-col>
            </v-col>
          </v-row>
        </v-container>
      </v-card-text>

      <template #actions>
        <v-row justify="end">
          <v-btn @click="productStore.closeDialog()"> Cancel </v-btn>
          <v-btn @click="productStore.save()"> Save </v-btn>
        </v-row>
      </template>
    </v-card>
  </v-dialog>
</template>

<style scoped></style>
